#!/sbin/sh
RIRU_PATH="/data/misc/riru"
rm -f "$RIRU_PATH/api_version"
rm -f "$RIRU_PATH/version_code"
rm -f "$RIRU_PATH/version_name"

#!/sbin/sh

MODDIR=${0%/*}
VARIANT="YAHFA"
REMOVE=false

[[ "$(echo ${MODDIR} | grep sandhook)" != "" ]] && VARIANT="SandHook"

if [[ "${VARIANT}" == "SandHook" ]]; then
    [[ -f "${MODDIR}/../edxposed-y/module.prop" ]] || REMOVE=true
else
	  [[ -f "${MODDIR}/../edxposed-s/module.prop" ]] || REMOVE=true
fi

if [[ "${REMOVE}" == true ]]; then
    rm -rf /data/misc/riru/modules/edxp
    if [[ -f "/data/misc/riru/modules/edxp.prop" ]]; then
        OLD_CONFIG=$(cat "/data/misc/riru/modules/edxp.prop")
        rm -rf "/data/misc/riru/modules/${OLD_CONFIG}"
        rm "/data/misc/riru/modules/edxp.prop"
    fi
fi


